For the complete documentation index, see llms.txt. This page is also available as Markdown.

Dictionaries

APIs for working with dictionary infrastructure: records and formation There are 3 dictionaries by default: 1. Timezone(timezone) - cannot be changed or populated 2. CPT(cpt) and 3. ICD-10(icd-10) - cannot be changed, but can be populated.

Get all Dictionary Formations

get

Get all dictionary formations.

HTTP Request

GET /{tenantName}/{instanceName}/formations/{version}/dictionaries

in our example it would be:

GET https://api.live.welkincloud.io/gh/sb-demo/formations/current/dictionaries

Responses

Code
Description

200

OK

401

Unauthorized

403

Forbidden

404

Not Found

Authorizations
AuthorizationstringRequired

Bearer token obtained from POST /{tenantName}/admin/api_clients/{clientName}. Valid for 60 minutes.

Path parameters
tenantNamestringRequired

Your organization (tenant) name, e.g. acme-health

Example: acme-health
instanceNamestringRequired

Your environment name: live, sandbox, or a custom name

Example: live
Query parameters
excludeInternalbooleanOptional

true/false

Responses
200

List of dictionary formations

application/json
namestringRequiredPattern: ^[a-z0-9\-_]+$
titlestringOptional
internalbooleanRead-onlyOptional
get/{tenantName}/{instanceName}/formations/current/dictionaries
GET /{tenantName}/{instanceName}/formations/current/dictionaries HTTP/1.1
Host: api.live.welkincloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
  {
    "name": "text",
    "title": "text",
    "internal": true,
    "fields": [
      {
        "name": "text",
        "type": "TEXT"
      }
    ]
  }
]

Get Dictionary Formation by name

get

HTTP Request

GET /{tenantName}/{instanceName}/formations/{version}/dictionaries/{dictionaryName}

in our example it would be:

GET https://api.live.welkincloud.io/gh/sb-demo/formations/current/dictionaries/timezone

Responses

Code
Description

200

OK

401

Unauthorized

403

Forbidden

404

Not Found

Authorizations
AuthorizationstringRequired

Bearer token obtained from POST /{tenantName}/admin/api_clients/{clientName}. Valid for 60 minutes.

Path parameters
tenantNamestringRequired

Your organization (tenant) name, e.g. acme-health

Example: acme-health
instanceNamestringRequired

Your environment name: live, sandbox, or a custom name

Example: live
dictionaryNamestringRequired

Machine-readable dictionary name

Responses
200

Dictionary formation

application/json
namestringRequiredPattern: ^[a-z0-9\-_]+$
titlestringOptional
internalbooleanRead-onlyOptional
get/{tenantName}/{instanceName}/formations/current/dictionaries/{dictionaryName}
GET /{tenantName}/{instanceName}/formations/current/dictionaries/{dictionaryName} HTTP/1.1
Host: api.live.welkincloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "name": "text",
  "title": "text",
  "internal": true,
  "fields": [
    {
      "name": "text",
      "type": "TEXT"
    }
  ]
}

Get Dictionary Record by name and ID

get

HTTP Request

GET /{tenantName}/{instanceName}/dictionaries/{dictionaryName}/{dictionaryRecordId}

in our example it would be:

GET https://api.live.welkincloud.io/gh/sb-demo/dictionaries/cpt/001806e2-3464-40b2-8adb-e756abe31fb1

Responses

Code
Description

200

OK

401

Unauthorized

403

Forbidden

404

Not Found

Authorizations
AuthorizationstringRequired

Bearer token obtained from POST /{tenantName}/admin/api_clients/{clientName}. Valid for 60 minutes.

Path parameters
tenantNamestringRequired

Your organization (tenant) name, e.g. acme-health

Example: acme-health
instanceNamestringRequired

Your environment name: live, sandbox, or a custom name

Example: live
dictionaryNamestringRequired

Machine-readable dictionary name

dictionaryRecordIdstring · uuidRequired

dictionaryRecordId path parameter

Responses
200

Dictionary record

application/json
idstring · uuidOptional
createdAtstring · date-timeOptional
updatedAtstring · date-timeOptional
fullValuestring · nullableOptional
deletedbooleanOptional
get/{tenantName}/{instanceName}/dictionaries/{dictionaryName}/{dictionaryRecordId}
GET /{tenantName}/{instanceName}/dictionaries/{dictionaryName}/{dictionaryRecordId} HTTP/1.1
Host: api.live.welkincloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "updatedAt": "2026-01-01T00:00:00.000Z",
  "fullValue": "text",
  "deleted": true,
  "values": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  }
}

Update Dictionary Record by name and ID

put

HTTP Request

PUT /{tenantName}/{instanceName}/dictionaries/{dictionaryName}/{dictionaryRecordId}

in our example it would be:

PUT https://api.live.welkincloud.io/gh/sb-demo/dictionaries/cpt/001806e2-3464-40b2-8adb-e756abe31fb1

Responses

Code
Description

200

OK

401

Unauthorized

403

Forbidden

404

Not Found

Authorizations
AuthorizationstringRequired

Bearer token obtained from POST /{tenantName}/admin/api_clients/{clientName}. Valid for 60 minutes.

Path parameters
tenantNamestringRequired

Your organization (tenant) name, e.g. acme-health

Example: acme-health
instanceNamestringRequired

Your environment name: live, sandbox, or a custom name

Example: live
dictionaryNamestringRequired

Machine-readable dictionary name

dictionaryRecordIdstring · uuidRequired

dictionaryRecordId path parameter

Body
idstring · uuidOptional
createdAtstring · date-timeOptional
updatedAtstring · date-timeOptional
fullValuestring · nullableOptional
deletedbooleanOptional
Responses
200

Updated dictionary record

application/json
idstring · uuidOptional
createdAtstring · date-timeOptional
updatedAtstring · date-timeOptional
fullValuestring · nullableOptional
deletedbooleanOptional
put/{tenantName}/{instanceName}/dictionaries/{dictionaryName}/{dictionaryRecordId}
PUT /{tenantName}/{instanceName}/dictionaries/{dictionaryName}/{dictionaryRecordId} HTTP/1.1
Host: api.live.welkincloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 205

{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "updatedAt": "2026-01-01T00:00:00.000Z",
  "fullValue": "text",
  "deleted": true,
  "values": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  }
}
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "updatedAt": "2026-01-01T00:00:00.000Z",
  "fullValue": "text",
  "deleted": true,
  "values": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  }
}

Delete Dictionary Record by name and ID

delete

HTTP Request

DELETE /{tenantName}/{instanceName}/dictionaries/{dictionaryName}/{dictionaryRecordId}

in our example it would be:

DELETE https://api.live.welkincloud.io/gh/sb-demo/dictionaries/cpt/001806e2-3464-40b2-8adb-e756abe31fb1

Responses

Code
Description

200

OK

401

Unauthorized

403

Forbidden

404

Not Found

Authorizations
AuthorizationstringRequired

Bearer token obtained from POST /{tenantName}/admin/api_clients/{clientName}. Valid for 60 minutes.

Path parameters
tenantNamestringRequired

Your organization (tenant) name, e.g. acme-health

Example: acme-health
instanceNamestringRequired

Your environment name: live, sandbox, or a custom name

Example: live
dictionaryNamestringRequired

Machine-readable dictionary name

dictionaryRecordIdstring · uuidRequired

dictionaryRecordId path parameter

Responses
200

Dictionary record deleted

application/json
idstring · uuidOptional
createdAtstring · date-timeOptional
updatedAtstring · date-timeOptional
fullValuestring · nullableOptional
deletedbooleanOptional
delete/{tenantName}/{instanceName}/dictionaries/{dictionaryName}/{dictionaryRecordId}
DELETE /{tenantName}/{instanceName}/dictionaries/{dictionaryName}/{dictionaryRecordId} HTTP/1.1
Host: api.live.welkincloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "updatedAt": "2026-01-01T00:00:00.000Z",
  "fullValue": "text",
  "deleted": true,
  "values": {
    "ANY_ADDITIONAL_PROPERTY": "anything"
  }
}

Get all Dictionary Records by name

get

HTTP Request

GET /{tenantName}/{instanceName}/dictionaries/{dictionaryName}

in our example it would be:

GET https://api.live.welkincloud.io/gh/sb-demo/dictionaries/cpt

Responses

Code
Description

200

OK

401

Unauthorized

403

Forbidden

404

Not Found

Authorizations
AuthorizationstringRequired

Bearer token obtained from POST /{tenantName}/admin/api_clients/{clientName}. Valid for 60 minutes.

Path parameters
tenantNamestringRequired

Your organization (tenant) name, e.g. acme-health

Example: acme-health
instanceNamestringRequired

Your environment name: live, sandbox, or a custom name

Example: live
dictionaryNamestringRequired

Machine-readable dictionary name

Query parameters
searchstringOptionalExample: Kiev
dateStartstring · date-timeOptionalExample: 2021-03-11T12:47:30.492Z
dateEndstring · date-timeOptionalExample: 2021-03-06T22:43:53.243Z
showDeletedbooleanOptionalExample: true
Responses
200

All dictionary records

application/json
dictionaryNamestringRead-onlyOptional
lastUpdatedAtstring · date-time · nullableRead-onlyOptional
get/{tenantName}/{instanceName}/dictionaries/{dictionaryName}
GET /{tenantName}/{instanceName}/dictionaries/{dictionaryName} HTTP/1.1
Host: api.live.welkincloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "dictionaryName": "text",
  "lastUpdatedAt": "2026-01-01T00:00:00.000Z",
  "records": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "fullValue": "text",
      "deleted": true,
      "values": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      }
    }
  ]
}

Add value to Dictionary

post

HTTP Request

POST /{tenantName}/{instanceName}/dictionaries/{dictionaryName}

in our example it would be:

POST https://api.live.welkincloud.io/gh/sb-demo/dictionaries/cpt

Responses

Code
Description

201

Created

401

Unauthorized

403

Forbidden

404

Not Found

Authorizations
AuthorizationstringRequired

Bearer token obtained from POST /{tenantName}/admin/api_clients/{clientName}. Valid for 60 minutes.

Path parameters
tenantNamestringRequired

Your organization (tenant) name, e.g. acme-health

Example: acme-health
instanceNamestringRequired

Your environment name: live, sandbox, or a custom name

Example: live
dictionaryNamestringRequired

Machine-readable dictionary name

Body
dictionaryNamestringRead-onlyOptional
lastUpdatedAtstring · date-time · nullableRead-onlyOptional
Responses
201

Values added to dictionary

application/json
dictionaryNamestringRead-onlyOptional
lastUpdatedAtstring · date-time · nullableRead-onlyOptional
post/{tenantName}/{instanceName}/dictionaries/{dictionaryName}
POST /{tenantName}/{instanceName}/dictionaries/{dictionaryName} HTTP/1.1
Host: api.live.welkincloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 219

{
  "records": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "fullValue": "text",
      "deleted": true,
      "values": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      }
    }
  ]
}
{
  "dictionaryName": "text",
  "lastUpdatedAt": "2026-01-01T00:00:00.000Z",
  "records": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "fullValue": "text",
      "deleted": true,
      "values": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      }
    }
  ]
}

Remove all values from Dictionary and set new

put

Remove all values from dictionary and set new. Records will be deleted completely.

HTTP Request

PUT /{tenantName}/{instanceName}/dictionaries/{dictionaryName}

in our example it would be:

PUT https://api.live.welkincloud.io/gh/sb-demo/dictionaries/cpt

Responses

Code
Description

201

Created

401

Unauthorized

403

Forbidden

404

Not Found

Authorizations
AuthorizationstringRequired

Bearer token obtained from POST /{tenantName}/admin/api_clients/{clientName}. Valid for 60 minutes.

Path parameters
tenantNamestringRequired

Your organization (tenant) name, e.g. acme-health

Example: acme-health
instanceNamestringRequired

Your environment name: live, sandbox, or a custom name

Example: live
dictionaryNamestringRequired

Machine-readable dictionary name

Body
dictionaryNamestringRead-onlyOptional
lastUpdatedAtstring · date-time · nullableRead-onlyOptional
Responses
200

Dictionary values replaced

application/json
dictionaryNamestringRead-onlyOptional
lastUpdatedAtstring · date-time · nullableRead-onlyOptional
put/{tenantName}/{instanceName}/dictionaries/{dictionaryName}
PUT /{tenantName}/{instanceName}/dictionaries/{dictionaryName} HTTP/1.1
Host: api.live.welkincloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 219

{
  "records": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "fullValue": "text",
      "deleted": true,
      "values": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      }
    }
  ]
}
{
  "dictionaryName": "text",
  "lastUpdatedAt": "2026-01-01T00:00:00.000Z",
  "records": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "fullValue": "text",
      "deleted": true,
      "values": {
        "ANY_ADDITIONAL_PROPERTY": "anything"
      }
    }
  ]
}

Last updated

Was this helpful?